Skip to content
API
On this pageRequest examples
Endpoints

List open-house hosts

List the Users of the caller's org who can host an open house (everyone who accepted their invite), by name, with id, name and email. Pass an id as hostUserId to units.set_open_house_window. Requires `units:write`.

GET /v1/units/list_open_house_host_candidates

Request examples

Set MYREMOTELY_BASE_URL to the environment you intend to call.

bash
curl --fail-with-body \
  --header "x-api-key: $MYREMOTELY_API_KEY" \
  "$MYREMOTELY_BASE_URL/v1/units/list_open_house_host_candidates"

Responses

200 Success

application/json

FieldTypeRequiredDescription
hostsarrayYes—
json
{
  "hosts": [
    {
      "id": "string",
      "name": "string",
      "email": "string"
    }
  ]
}

401 The API key is missing, invalid, expired, or revoked.

application/problem+json

FieldTypeRequiredDescription
typestringYesA stable documentation URI for this problem.
titlestringYesA short problem title.
detailstringYesA safe explanation of this occurrence.
codestringYesA stable machine-readable problem code.
requestIdstringYesThe request ID to include when contacting MyRemotely support.
statusnumberYesThe HTTP status code.
json
{
  "type": "https://app.myremotely.ai/en/docs/errors#invalid-api-key",
  "title": "Unauthorized",
  "status": 401,
  "detail": "Provide a valid API key.",
  "code": "invalid_api_key",
  "requestId": "request_demo_01"
}

403 The API key does not have the units:write scope.

application/problem+json

FieldTypeRequiredDescription
typestringYesA stable documentation URI for this problem.
titlestringYesA short problem title.
detailstringYesA safe explanation of this occurrence.
codestringYesA stable machine-readable problem code.
requestIdstringYesThe request ID to include when contacting MyRemotely support.
statusnumberYesThe HTTP status code.
json
{
  "type": "https://app.myremotely.ai/en/docs/errors#missing-scope",
  "title": "Forbidden",
  "status": 403,
  "detail": "The units:write scope is required.",
  "code": "missing_scope",
  "requestId": "request_demo_01"
}

429 The API key request budget is exhausted.

application/problem+json

FieldTypeRequiredDescription
typestringYesA stable documentation URI for this problem.
titlestringYesA short problem title.
detailstringYesA safe explanation of this occurrence.
codestringYesA stable machine-readable problem code.
requestIdstringYesThe request ID to include when contacting MyRemotely support.
statusnumberYesThe HTTP status code.
json
{
  "type": "https://app.myremotely.ai/en/docs/errors#rate-limited",
  "title": "Too many requests",
  "status": 429,
  "detail": "Try the request again later.",
  "code": "rate_limited",
  "requestId": "request_demo_01"
}

500 MyRemotely could not complete the request.

application/problem+json

FieldTypeRequiredDescription
typestringYesA stable documentation URI for this problem.
titlestringYesA short problem title.
detailstringYesA safe explanation of this occurrence.
codestringYesA stable machine-readable problem code.
requestIdstringYesThe request ID to include when contacting MyRemotely support.
statusnumberYesThe HTTP status code.
json
{
  "type": "https://app.myremotely.ai/en/docs/errors#internal-error",
  "title": "Internal error",
  "status": 500,
  "detail": "The request could not be completed.",
  "code": "internal_error",
  "requestId": "request_demo_01"
}

Last updated Oct 3, 2026